0 Replies Latest reply: Oct 12, 2011 11:38 PM by zachfromcupertino
zachfromcupertino Level 1 Level 1 (0 points)

I have attempted to update my iPad 2 to iOS 5 several times and every time I get the same error: 'This device isn't eligible for the requested bulid.' How can I update smoothly? PLEASE HELP!!!


iMac, Mac OS X (10.7)